コンテンツにスキップ
AchaduDevelopers
Developers/API/offer_create
オファー

オファーの作成

保留中のオファーを公開せずに作成します。

POST/offersoffers:write

リクエスト

urlstring · body製品の元の HTTPS URL。必須
titlestring · bodyオファーの公開タイトル。必須
marketplacestring · bodyソースマーケットプレイス。オプション
pricenumber · body現在の価格。オプション
original_pricenumber · body以前の価格。オプション
currencystring · bodyISO 4217 通貨。オプション
imagestring · body画像のHTTPS URL。オプション
storestring · body店名。オプション
categorystring · bodyカテゴリ。オプション
couponstring · bodyクーポンコード。オプション
copystring · bodyオファーの編集テキスト。オプション
statusstring · body厳選されたステータス。オプション

curl
curl -X POST 'https://achadu.com/api/v1/offers' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "url": "https://example.com/product",
  "title": "Air fryer 5L",
  "marketplace": "string",
  "price": 329.9,
  "original_price": 329.9
}'

答え

201リソースが作成されました
4xxコード、メッセージ、request_id のエラー